ata_host_suspend
Prev | Chapter 4. libata Library | Next

## Name

ata_host_suspend — suspend host

## Synopsis

`int ata_host_suspend (` | struct ata_host * | host,
| pm_message_t | mesg`)`;

## Arguments

`host`

  host to suspend

`mesg`

  PM message

## Description

Suspend `host`. Actual operation is performed by EH. This function requests EH to perform PM operations and waits for EH to finish.

## LOCKING

Kernel thread context (may sleep).

## RETURNS

0 on success, -errno on failure.

Prev | Up | Next
ata_link_offline | Home | ata_host_resume